MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025215Open CASCADE[OCCT] OCCT:Configurationpublic2014-09-04 10:152014-11-11 12:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025215: Porting to Android - fix minor issues
DescriptionFix minor compilation issues.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0025160closedkgv Android doesn't support locales in the C library 
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0031352)
git (administrator)
2014-09-04 13:15

Branch CR25215 has been created by kgv.

SHA-1: e7009d3b542f0d3ea69f3f97c517f2a9b4dc9e7f


Detailed log of new commits:

Author: kgv
Date: Thu Sep 4 13:15:39 2014 +0400

    0025215: Porting to Android - fix minor issues
    
    STEPConstruct_AP203Context = pw_gecos member of passwd struct disabled in android case.
    Standard_Atomic - correct usage of __atomic_inc()/__atomic_dec().
    Standard_CLocaleSentry - Android doesn't support locales in the C library.
    Standard_MMgrOpt - use "/dev/zero" and "/dev/null" for allocation of memory blocks on Android.
(0031355)
git (administrator)
2014-09-04 14:07

Branch CR25215 has been updated forcibly by kgv.

SHA-1: 8a35f1ab4d5136590d2d96a9f33177fee5d0db97
(0031357)
kgv (developer)
2014-09-04 14:08

Patch is ready for review in branch CR25215.
(0031386)
git (administrator)
2014-09-04 18:31

Branch CR25215 has been updated forcibly by kgv.

SHA-1: adc4f1e9a97d326b0a9bd4213c689cf88c3dc702
(0031392)
abv (manager)
2014-09-05 06:24

No remarks, please test
(0031395)
git (administrator)
2014-09-05 08:48

Branch CR25215 has been updated by kgv.

SHA-1: 40f921c0e19fc561319e9bcd41fe5503141d99bc


Detailed log of new commits:

Author: kgv
Date: Fri Sep 5 08:47:32 2014 +0400

    OSD_Chronometer - fix compilation on Android

(0031396)
git (administrator)
2014-09-05 08:50

Branch CR25215 has been updated forcibly by kgv.

SHA-1: 291143a474200b4791233e9bb9769825bfef2e41
(0031414)
git (administrator)
2014-09-05 14:24

Branch CR25215 has been updated by kgv.

SHA-1: d04f2a5a011b53fba8dbebbcb2d7e958de335564


Detailed log of new commits:

Author: kgv
Date: Fri Sep 5 14:21:07 2014 +0400

    OSD_Disk, OSD_signal - fix compilation issues on Android

(0031415)
git (administrator)
2014-09-05 14:27

Branch CR25215_1 has been created by kgv.

SHA-1: 548274a6415641cc4168a61fa74b13ae529494b1


Detailed log of new commits:

Author: kgv
Date: Fri Sep 5 14:27:01 2014 +0400

    0025215: Porting to Android - fix minor issues
    
    STEPConstruct_AP203Context = pw_gecos member of passwd struct disabled in android case.
    Standard_Atomic - correct usage of __atomic_inc()/__atomic_dec().
    Standard_CLocaleSentry - Android doesn't support locales in the C library.
    Standard_MMgrOpt - use "/dev/zero" and "/dev/null" for allocation of memory blocks on Android.
    OSD_Chronometer - fix compilation on Android.
    OSD_Disk, OSD_signal - fix headers inclusion on Android.
(0031416)
kgv (developer)
2014-09-05 14:28

Dear bugmaster,

patch has been updated to fix new issues on current master.
Please use branch CR25215_1 for testing.
(0031570)
mkv (tester)
2014-09-10 14:49

Dear BugMaster,
Branch CR25215_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 548274a6415641cc4168a61fa74b13ae529494b1

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 355127364 / 355199032
Total CPU difference: 47689.03000000017 / 45791.3500000001
products component :
Total MEMORY difference: 109485584 / 109538648
Total CPU difference: 19486.85999999997 / 18111.489999999958

Testing on Windows:
occt component :
Total MEMORY difference: 241686152 / 241837776
Total CPU difference: 38676.90625 / 36476.171875
products component :
Total MEMORY difference: 66496032 / 66458348
Total CPU difference: 14199.53125 / 12369.875

There are no differences in images found by testdiff.
(0031571)
mkv (tester)
2014-09-10 14:54

Dear BugMaster,
Branch CR25215_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Debug mode .
SHA-1: 548274a6415641cc4168a61fa74b13ae529494b1

Regressions/Differences:
http://occt-tests/CR25215-1-master-occt-deb/Windows-32-VC10/summary.html [^]
bugs modalg_5(010) bug23958, bug24157_1, bug24157_2, bug24157_9, bug24751_1, bug24751_2

Testing cases:
Not needed

Testing on Linux on Debug mode:
occt component :
Total MEMORY difference: 425887732 / 425794920
Total CPU difference: 158108.16000000047 / 156885.24999999927
products component :
Total MEMORY difference: 127822808 / 127757472
Total CPU difference: 39332.19000000002 / 38671.12999999995

Testing on Windows on Debug mode:
occt component :
Total MEMORY difference: 332216300 / 331315732
Total CPU difference: 124384.21875 / 103051.8125
products component :
Total MEMORY difference: 88967628 / 88954420
Total CPU difference: 24383.734375 / 27886.515625

There are no differences in images found by testdiff.
(0031614)
kgv (developer)
2014-09-11 14:31

Dear bugmaster,

could you please update bug state - it is still in "reviewed" state?

bugs modalg_5(010) bug23958, bug24157_1, bug24157_2, bug24157_9, bug24751_1, bug24751_2

This is unlikely that one extra NULL-check in expression would cause performance regression on Windows.
-  if (aPrevLocale[0] == 'C' && aPrevLocale[1] == '\0')
+  if (myPrevLocale == NULL
+   || (aPrevLocale[0] == 'C' && aPrevLocale[1] == '\0'))
(0031685)
kgv (developer)
2014-09-12 19:14

Dear bugmaster,

please re-test the branch.
(0031763)
git (administrator)
2014-09-16 15:03

Branch CR25215_1 has been updated forcibly by mkv.

SHA-1: 61a7fb95fe13cba97f68a71fb4c4cb205678a9f0
(0031865)
apv (tester)
2014-09-18 15:43

Dear BugMaster,

Branch CR25215_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 61a7fb95fe13cba97f68a71fb4c4cb205678a9f0

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351810344 / 351946380
Total CPU difference: 44305.49000000001 / 45041.22000000014

Testing on Windows:
Total MEMORY difference: 241853508 / 241924760
Total CPU difference: 39511.140625 / 42620.984375
(0032341)
git (administrator)
2014-09-29 23:11

Branch CR25215 has been deleted by kgv.

SHA-1: d04f2a5a011b53fba8dbebbcb2d7e958de335564
(0032363)
git (administrator)
2014-09-29 23:24

Branch CR25215_1 has been deleted by kgv.

SHA-1: 61a7fb95fe13cba97f68a71fb4c4cb205678a9f0

- Related Changesets
occt: master 9bf6baed
Timestamp: 2014-09-05 10:27:01
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025215: Porting to Android - fix minor issues

STEPConstruct_AP203Context = pw_gecos member of passwd struct disabled in android case.
Standard_Atomic - correct usage of __atomic_inc()/__atomic_dec().
Standard_CLocaleSentry - Android doesn't support locales in the C library.
Standard_MMgrOpt - use "/dev/zero" and "/dev/null" for allocation of memory blocks on Android.
OSD_Chronometer - fix compilation on Android.
OSD_Disk, OSD_signal - fix headers inclusion on Android.
mod - src/OSD/OSD_Chronometer.cxx Diff ] File ]
mod - src/OSD/OSD_Disk.cxx Diff ] File ]
mod - src/OSD/OSD_signal.cxx Diff ] File ]
mod - src/Standard/Standard_Atomic.hxx Diff ] File ]
mod - src/Standard/Standard_CLocaleSentry.cxx Diff ] File ]
mod - src/Standard/Standard_CLocaleSentry.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_AP203Context.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-04 10:15 kgv New Issue
2014-09-04 10:15 kgv Assigned To => bugmaster
2014-09-04 13:15 git Note Added: 0031352
2014-09-04 13:15 kgv Relationship added child of 0025146
2014-09-04 14:07 git Note Added: 0031355
2014-09-04 14:08 kgv Note Added: 0031357
2014-09-04 14:08 kgv Assigned To bugmaster => abv
2014-09-04 14:08 kgv Status new => resolved
2014-09-04 17:00 kgv Assigned To abv => kgv
2014-09-04 17:00 kgv Status resolved => assigned
2014-09-04 18:31 git Note Added: 0031386
2014-09-04 19:21 kgv Assigned To kgv => abv
2014-09-04 19:21 kgv Status assigned => resolved
2014-09-05 06:24 abv Note Added: 0031392
2014-09-05 06:24 abv Assigned To abv => bugmaster
2014-09-05 06:24 abv Status resolved => reviewed
2014-09-05 08:48 git Note Added: 0031395
2014-09-05 08:50 git Note Added: 0031396
2014-09-05 12:20 mkv Assigned To bugmaster => mkv
2014-09-05 14:24 git Note Added: 0031414
2014-09-05 14:27 git Note Added: 0031415
2014-09-05 14:28 kgv Note Added: 0031416
2014-09-10 14:49 mkv Note Added: 0031570
2014-09-10 14:54 mkv Note Added: 0031571
2014-09-11 14:31 kgv Note Added: 0031614
2014-09-11 14:31 kgv Status reviewed => feedback
2014-09-12 16:12 mkv Assigned To mkv => kgv
2014-09-12 16:12 mkv Status feedback => assigned
2014-09-12 19:14 kgv Note Added: 0031685
2014-09-12 19:14 kgv Assigned To kgv => bugmaster
2014-09-12 19:14 kgv Status assigned => feedback
2014-09-15 11:13 bugmaster Assigned To bugmaster => mkv
2014-09-16 14:20 mkv Status feedback => reviewed
2014-09-16 15:03 git Note Added: 0031763
2014-09-17 20:27 mkv Assigned To mkv => apv
2014-09-18 14:01 apv Test case number => Not needed
2014-09-18 15:43 apv Note Added: 0031865
2014-09-18 15:44 apv Assigned To apv => bugmaster
2014-09-18 15:44 apv Status reviewed => tested
2014-09-19 13:42 bugmaster Changeset attached => occt master 9bf6baed
2014-09-19 13:42 bugmaster Status tested => verified
2014-09-19 13:42 bugmaster Resolution open => fixed
2014-09-29 23:11 git Note Added: 0032341
2014-09-29 23:24 git Note Added: 0032363
2014-09-29 23:29 kgv Relationship added has duplicate 0025160
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker